Vantaj

Domains

List domains

Get a paginated list of domains tracked in a project.

GEThttps://api.vantaj.co/v1/domains

Requires an API key with the domains:read scope.

Authorizations

Authorizationstringheaderrequired

Bearer authentication using your API key: Authorization: Bearer <token>

Query parameters

project_idstring<uuid>required

Project to list domains from.

limitinteger

Page size (1–100).

Default:25
cursorstring

Opaque cursor from a previous response's next_cursor.

List domains
cURL
curl --request GET \
  --url 'https://api.vantaj.co/v1/domains?project_id=<project_id>' \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "b3d2c1a0-9f8e-7d6c-5b4a-3c2d1e0f9a8b",
      "domain": "example.com",
      "expires_at": "2027-03-01T00:00:00Z",
      "registered_at": "2010-03-01T00:00:00Z",
      "registrar_updated_at": "2026-02-15T00:00:00Z",
      "registrar": "MarkMonitor Inc.",
      "registrar_url": "https://markmonitor.com",
      "nameservers": [
        "ns1.example.com",
        "ns2.example.com"
      ],
      "statuses": [
        "clientTransferProhibited"
      ],
      "dnssec": false,
      "alert_days": [
        30,
        7,
        1
      ],
      "last_checked_at": "2026-06-21T06:00:00Z",
      "created_at": "2026-01-15T10:30:00Z"
    }
  ],
  "pagination": {
    "next_cursor": null,
    "has_more": false
  }
}